package com.ssj.bean.weixin.ydz.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年7月11日 上午10:51:09 
 * 类说明 
 */
@Entity
@Table(name = "ydz_info")
public class YdzInfo extends BaseEntity{
    /**
	 * 
	 */
	private static final long serialVersionUID = -3510657235323187771L;
	/**
     * 会员名字
     */
	private String name;
	/**
	 * 会员年龄
	 */
	private Integer age;
	/**
	 * 年级
	 */
	private String grade;
	/**
	 * 学校
	 */
	private String school;
	/**
	 * 地区
	 */
	private String city;
	/**
	 * 用户id
	 */
	private String userId;
	
	/**
	 * 创建时间
	 */
	
	private Date  createTime;
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getAge() {
		return age;
	}
	public void setAge(Integer age) {
		this.age = age;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getSchool() {
		return school;
	}
	public void setSchool(String school) {
		this.school = school;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
}
